sh_calldist.d(1m)

NAME
sh_calldist.d - measure Bourne shell elapsed times for types of operation.

SYNOPSIS
sh_calldist.d

DESCRIPTION
This traces shell activity from all Bourne shells on the system that are running with sh provider support. This script prints distribution plots of elapsed time for shell operations. Use sh_calltime.d for summary reports. Filename and call names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Shell provider, which may change as additional features are introduced. Check Shell/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # sh_calldist.d

FIELDS

1   Filename of the shell or shellscript

2   Type of call (func/builtin/cmd)

3   Name of call

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
sh_calldist.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)